/****************************************************************************
*
* (C) 1999 by BECK IPC GmbH
*
*  BECK IPC GmbH
*  Garbenheimerstr. 38
*  D-35578 Wetzlar
*
*  Phone : (49)-6441-905-240
*  Fax   : (49)-6441-905-245
*
* ---------------------------------------------------------------------------
* Module      : cgiapi.h
* Function    : cgi api prototypes

* Author        : Bartat
* Date          : 27.01.00
* Version       : V1.00
* ---------------------------------------------------------------------------

$Header: CGIAPI.H, 6, 16.01.2002 11:36:38, Christoph Stoidner$

$Log: 
 6    IPC@CHIP  1.5         16.01.2002 11:36:38  Christoph Stoidner add some
      missing semikolons
 5    IPC@CHIP  1.4         16.01.2002 10:44:58  Christoph Stoidner add starteam
      directives
 4    IPC@CHIP  1.3         14.01.2002 12:18:15  Christoph Stoidner add new
      functions
 3    IPC@CHIP  1.2         31.05.2001 15:18:22  Christoph Stoidner 
 2    IPC@CHIP  1.1         15.02.2001 14:16:51  Christoph Stoidner 
 1    IPC@CHIP  1.0         14.02.2001 15:09:09  Christoph Stoidner 
$

* History       :
*
*  Vx.yy        Author  Changes
*
*  V1.00          mb    Create
*
*****************************************************************************/
#ifndef _CGI_API_H__
#define _CGI_API_H__
/*************************************************************************/
#include "CGI.H"

/*************************************************************************/
// definitions
/*************************************************************************/
#ifdef _MSC_VER /* If Microsoft C Compiler is used, define new FP_SEG and FP_OFF Macro */
	#ifdef FP_SEG
  		#undef FP_SEG
	#endif
	#define FP_SEG(ptr)    ((unsigned int)(((unsigned long)ptr)>>16))

	#ifdef FP_OFF
  		#undef FP_OFF
	#endif
	#define FP_OFF(ptr)    ((unsigned int)(((unsigned long)ptr)&0xFFFF))
#endif



/*************************************************************************/
//install cgi function
/*************************************************************************/
int CGI_Install(CGI_Entry far  * cgiptr);

/*************************************************************************/
//delete cgi function
/*************************************************************************/
int CGI_Delete(char far * PathPtr);


/*************************************************************************/
//Get formitem
/*************************************************************************/
void CGI_GetFormItem(char far * ArgumentBufferPtr,FormItem far * formitem);

/*************************************************************************/
//Get next formitem
/*************************************************************************/
int CGI_GetNextItem(char far * ArgumentBufferPtr, char far * * nextItemString);

/*************************************************************************/
//Get Main Page Name
/*************************************************************************/
int CGI_SetMainPage(char *mainPageName);

/*************************************************************************/
//Get Root Dir
/*************************************************************************/
int CGI_SetRootDir(char *rootDirName);

/*************************************************************************/
//Get Main Page Name
/*************************************************************************/
int CGI_GetMainPage(char **mainPageName);

/*************************************************************************/
//Get Root Dir
/*************************************************************************/
int CGI_GetRootDir(char **rootDirName);



/*************************************************************************/
#endif /* _CGI_API_H__*/
/*************************************************************************/
//end cgiapi.h