struct listnode
{
	unsigned char interface;  // art der bergabe, normal 0xC1
	unsigned char status;     // motorstatus wie er sein soll
	int duration;             // anzahl der aufrufe dieser aktion

	listnode *prev;
	listnode *next;
};

class list
{
	public:

	listnode *head;
	listnode *tail;

	void add(listnode l)
	{
		listnode *n = new listnode;
		n->prev = NULL;
		n->next = NULL;

		if(head == NULL)
		{
			tail = n;
		}
		else
		{
			head->prev = n;
			n->next = head;
		}

		n->interface = l.interface;
		n->status = l.status;
		n->duration = l.duration;

		head = n;
	}

	int del(void)
	{
		if(head == NULL)
		{
			return(1);
		}

		if(head == tail)
		{
			delete head;
			head = NULL;
			tail = NULL;

			return(0);
		}
		else
		{
			listnode *n = tail;

			tail->prev->next = NULL;
			tail = tail->prev;
			delete n;

			return(0);
		}

	}

	int pop(listnode *l)
	{
		if(tail != NULL)
		{
			l->interface = tail->interface;
			l->status = tail->status;
			l->duration = tail->duration;

			del();
			return(0);
		}
		else
		{
			return(1);
		}
	}
};

