/* * *
 * unser eigenes api zum bewgen des geliebten nic.
 * * */


unsigned char nic_interface;
unsigned char nic_status;


void nic_init(void)
{
	nic_interface = 0;
	nic_status = 0;

	fossil_init(1);
	fossil_setbaud(1, 9600, 0, 8, 1);
}

void nic_deinit(void)
{
	fossil_deinit(1);
}

/* 0x0A - forward  */
/* 0x05 - backward */
/* 0x09 - left     */
/* 0x06 - right    */
#define FORWARD 0x0A
#define BACKWARD 0x05
#define LEFT 0x09
#define RIGHT 0x06

void nic_move(int direction)
{
	nic_status = 0xc1;
	nic_interface = 0;
	nic_interface |= direction;
}
/*
void nic_forward(void)
{
	nic_status = 0xc1;
	nic_interface |= 0x0A; // 00001010: motoren 1 + 2 nach rechts
}
*/
void nic_stop(void)
{
	nic_status = 0xc1;
	nic_interface = 0x00; // alles aus
}

int nic_execute(void)
{
	fossil_putbyte_wait(1, nic_status);
	fossil_putbyte_wait(1, nic_interface);
//	if(fossil_status_request(1) & 1 != 0) return(fossil_getbyte_wait(1));
	return(0);
}
