/****************************************************************************
*
* (C) 2001 by Beck IPC GmbH
*
*  Beck IPC GmbH
*  Garbenheimerstr. 36-38
*  D-35578 Wetzlar
*
*  Phone : (49)-6441-905-240
*  Fax   : (49)-6441-905-245
*
* ---------------------------------------------------------------------------
* Module        : dns.c
*
* Function      : DNS Server Access functions
*                 Use memory model large!!
*
* Compiler		 : Tested with Borland C 5.02
*
* Author        : Schloesser
* Date          : 31.1.2001
* Version       : V0.20
* ---------------------------------------------------------------------------

$Header: dns.h, 3, 16.01.2002 10:51:31, Christoph Stoidner$


$Log: 
 3    IPC@CHIP  1.2         16.01.2002 10:51:31  Christoph Stoidner add some
      comments
 2    IPC@CHIP  1.1         31.05.2001 15:19:01  Christoph Stoidner 
 1    IPC@CHIP  1.0         08.03.2001 14:29:44  Christoph Stoidner 
$


* History       :
*
*  Vx.yy                   Author  Changes
*
*  V0.10                   es      create
/****************************************************************************/

/*
    gethostbyname
    This is the function it is all about.
    It prepares the request
    Opens the socket
    Sends the request
    Receives the answer
    Interprets the answer
    Closes the socket

    return 1 on succes
*/
int gethostbyname(  const char *dnsServerIP, // where to ask for the dns resolution
		    const char *domainName,  // The domain name "www.beck-ipc.com"
		    unsigned long *ttl,      // Time to live in seconds
		    unsigned long *IP,       // The 32 bit IP
		    char *dest);             // The IP as text (make sure it is long enough)
        